Unit MDChars2;
{unit contain public method SendStr2MD, which send string to MiniDisc
this method using advanced 20 bit codes - from Keyboard remote}

interface

uses
  Infrared,Crt;

procedure SendStr2MD_20bit(S:String);
  {send string (title) to MiniDisc, require selected "Name" mode
  Not terminated "Name" mode, only send string S to MD.}


const
  AvailableChars=[#32..#90,#95..#122];

implementation

function Conv2ReversedBin(X:Byte):tIRCodeString;
  var
    I:Integer;
    S:tIRCodeString;
  begin
    S:='';
    for I:=1 to 8 do
      begin
        if (X mod 2)=0 then
          S:=S+'0'
        else
          S:=S+'1';
        X:=X div 2
      end;
    Conv2ReversedBin:=S;
  end;

procedure SendStr2MD_20bit(S:String);
  var
    Ch:Char;
    ChCode:Byte;
    MyIRCode:tIRCodeString;
    I:Integer;
  begin
    for I:=1 to Length(S) do
      begin
        Ch:=S[I];
        Write(Ch);
        while KeyPressed do
          if ReadKey=#27 then
            Halt;
        if not (Ch in AvailableChars) then
          Ch:=' ';
        ChCode:=Ord(Ch);
        MyIRCode:=Conv2ReversedBin(ChCode)+ir_SonyKeybMD_postfix;
        SendCode(MyIRCode);
      end;
  end;

begin
end.